Loading...
Searching...
No Matches
AVHDRVividColorToneMappingParams Struct Reference

Color tone mapping parameters at a processing window in a dynamic metadata for CUVA 005.1:2021. More...

`#include <libavutil/hdr_dynamic_vivid_metadata.h>`

## Data Fields

AVRational | targeted_system_display_maximum_luminance
| The nominal maximum display luminance of the targeted system display, in multiples of 1.0/4095 candelas per square metre.
int | base_enable_flag
| This flag indicates that transfer the base paramter(for value of 1)
AVRational | base_param_m_p
| base_param_m_p in the base parameter, in multiples of 1.0/16383.
AVRational | base_param_m_m
| base_param_m_m in the base parameter, in multiples of 1.0/10.
AVRational | base_param_m_a
| base_param_m_a in the base parameter, in multiples of 1.0/1023.
AVRational | base_param_m_b
| base_param_m_b in the base parameter, in multiples of 1/1023.
AVRational | base_param_m_n
| base_param_m_n in the base parameter, in multiples of 1.0/10.
int | base_param_k1
| indicates k1_0 in the base parameter, base_param_k1 <= 1: k1_0 = base_param_k1 base_param_k1 > 1: reserved
int | base_param_k2
| indicates k2_0 in the base parameter, base_param_k2 <= 1: k2_0 = base_param_k2 base_param_k2 > 1: reserved
int | base_param_k3
| indicates k3_0 in the base parameter, base_param_k3 == 1: k3_0 = base_param_k3 base_param_k3 == 2: k3_0 = maximum_maxrgb base_param_k3 > 2: reserved
int | base_param_Delta_enable_mode
| This flag indicates that delta mode of base paramter(for value of 1)
AVRational | base_param_Delta
| base_param_Delta in the base parameter, in multiples of 1.0/127.
int | three_Spline_enable_flag
| indicates 3Spline_enable_flag in the base parameter, This flag indicates that transfer three Spline of base paramter(for value of 1)
int | three_Spline_num
| The number of three Spline.
AVHDRVivid3SplineParams | three_spline [2]

## Detailed Description

Color tone mapping parameters at a processing window in a dynamic metadata for CUVA 005.1:2021.

Definition at line 77 of file hdr_dynamic_vivid_metadata.h.

## Field Documentation

## targeted_system_display_maximum_luminance

AVRational AVHDRVividColorToneMappingParams::targeted_system_display_maximum_luminance

The nominal maximum display luminance of the targeted system display, in multiples of 1.0/4095 candelas per square metre.

The value shall be in the range of 0.0 to 1.0, inclusive.

Definition at line 83 of file hdr_dynamic_vivid_metadata.h.

## base_enable_flag

int AVHDRVividColorToneMappingParams::base_enable_flag

This flag indicates that transfer the base paramter(for value of 1)

Definition at line 88 of file hdr_dynamic_vivid_metadata.h.

## base_param_m_p

AVRational AVHDRVividColorToneMappingParams::base_param_m_p

base_param_m_p in the base parameter, in multiples of 1.0/16383.

The value shall be in the range of 0.0 to 1.0, inclusive.

Definition at line 95 of file hdr_dynamic_vivid_metadata.h.

## base_param_m_m

AVRational AVHDRVividColorToneMappingParams::base_param_m_m

base_param_m_m in the base parameter, in multiples of 1.0/10.

The value shall be in the range of 0.0 to 6.3, inclusive.

Definition at line 102 of file hdr_dynamic_vivid_metadata.h.

## base_param_m_a

AVRational AVHDRVividColorToneMappingParams::base_param_m_a

base_param_m_a in the base parameter, in multiples of 1.0/1023.

The value shall be in the range of 0.0 to 1.0 inclusive.

Definition at line 109 of file hdr_dynamic_vivid_metadata.h.

## base_param_m_b

AVRational AVHDRVividColorToneMappingParams::base_param_m_b

base_param_m_b in the base parameter, in multiples of 1/1023.

The value shall be in the range of 0.0 to 1.0, inclusive.

Definition at line 116 of file hdr_dynamic_vivid_metadata.h.

## base_param_m_n

AVRational AVHDRVividColorToneMappingParams::base_param_m_n

base_param_m_n in the base parameter, in multiples of 1.0/10.

The value shall be in the range of 0.0 to 6.3, inclusive.

Definition at line 123 of file hdr_dynamic_vivid_metadata.h.

## base_param_k1

int AVHDRVividColorToneMappingParams::base_param_k1

indicates k1_0 in the base parameter, base_param_k1 <= 1: k1_0 = base_param_k1 base_param_k1 > 1: reserved

Definition at line 130 of file hdr_dynamic_vivid_metadata.h.

## base_param_k2

int AVHDRVividColorToneMappingParams::base_param_k2

indicates k2_0 in the base parameter, base_param_k2 <= 1: k2_0 = base_param_k2 base_param_k2 > 1: reserved

Definition at line 137 of file hdr_dynamic_vivid_metadata.h.

## base_param_k3

int AVHDRVividColorToneMappingParams::base_param_k3

indicates k3_0 in the base parameter, base_param_k3 == 1: k3_0 = base_param_k3 base_param_k3 == 2: k3_0 = maximum_maxrgb base_param_k3 > 2: reserved

Definition at line 145 of file hdr_dynamic_vivid_metadata.h.

## base_param_Delta_enable_mode

int AVHDRVividColorToneMappingParams::base_param_Delta_enable_mode

This flag indicates that delta mode of base paramter(for value of 1)

Definition at line 150 of file hdr_dynamic_vivid_metadata.h.

## base_param_Delta

AVRational AVHDRVividColorToneMappingParams::base_param_Delta

base_param_Delta in the base parameter, in multiples of 1.0/127.

The value shall be in the range of 0.0 to 1.0, inclusive.

Definition at line 157 of file hdr_dynamic_vivid_metadata.h.

## three_Spline_enable_flag

int AVHDRVividColorToneMappingParams::three_Spline_enable_flag

indicates 3Spline_enable_flag in the base parameter, This flag indicates that transfer three Spline of base paramter(for value of 1)

Definition at line 163 of file hdr_dynamic_vivid_metadata.h.

## three_Spline_num

int AVHDRVividColorToneMappingParams::three_Spline_num

The number of three Spline.

The value shall be in the range of 1 to 2, inclusive.

Definition at line 169 of file hdr_dynamic_vivid_metadata.h.

## three_spline

AVHDRVivid3SplineParams AVHDRVividColorToneMappingParams::three_spline[2]

Definition at line 225 of file hdr_dynamic_vivid_metadata.h.

The documentation for this struct was generated from the following file:

- libavutil/hdr_dynamic_vivid_metadata.h